<?php
include_once( 'config.inc.php' );
include_once( 'global.inc.php' );

$sent = '';

if ( isset( $_POST[ 'email' ] ) ) {
	$email   = filter_var( $_POST[ 'email' ] , FILTER_VALIDATE_EMAIL );
	$name    = $_POST[ 'name' ];
	$message = $_POST[ 'message' ];
	if ( ( strlen( $email ) > 2 ) && ( strlen( $name ) > 1 ) && ( strlen( $message ) > 1 ) ) {

		function replace_tokens( $text ) {
			global $email , $name , $message;
			return str_replace(
				array( '%e' , '%n' , '%m' ) ,
				array( $email , $name , $message ) ,
				$text
			);
		}

		// Build Attachements
		$attachment                = array( "PATH" => array() , "MIME" => array() , "USER" => array() );
		$attachment[ "PATH" ][ 0 ] = 'img/logo.png';
		$attachment[ "MIME" ][ 0 ] = "image/png";
		$attachment[ "USER" ][ 0 ] = "sayt.png";

		// Build Headers
		$boundary = "potskytheskyiseverywhere";
		$headers  = "MIME-Version: 1.0\r\n";
		$headers  = 'From: ' . replace_tokens( $name ) . ' <' . $email . '>' . "\r\n";
		$headers .= 'Sender: ' . replace_tokens( $name ) . ' <' . $email . '>' . "\r\n";
		$headers .= "Content-type: multipart/related; boundary=\"$boundary\"\r\n";
		$headers .= "\n";

		// Build Body
		$body = "--" . $boundary . "\n";
		$body .= "Content-type: text/html; charset=UTF-8;" . "\r\n";
		$body .= "\n";
		$body .= replace_tokens( CONTACT_EMAIL_BODY ) . "\n\n";

		// Build Images
		$att = 0;
		foreach ( $attachment[ "PATH" ] as $id => $path ) {
			$mime = $attachment[ "MIME" ][ $id ];
			$file = $attachment[ "USER" ][ $id ];
			$body .= "--" . $boundary . "\n";
			$body .= "Content-Type: $mime; name=\"$file\"\r\n";
			$body .= "Content-Transfer-Encoding: base64\r\n";
			$body .= "Content-ID: <img$att>\r\n";
			$body .= "Content-Disposition: inline; filename=\"$file\"\r\n";
			$body .= "\n";
			$body .= chunk_split( base64_encode( file_get_contents( $path ) ) );
			$att ++;
		}

		// Close boundary
		$body .= "--" . $boundary . "--";

		mail( CONTACT_EMAIL_TO , '=?UTF-8?B?' . base64_encode( replace_tokens( CONTACT_EMAIL_SUBJECT ) ) . '?=' , $body , $headers );

		$sent = '<div class="alert alert-success"><strong>Success!</strong> The message has been sent.</div>';
	}

}

?>
<!DOCTYPE html>
<!--[if lt IE 7]>
<html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>
<html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>
<html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js"> <!--<![endif]-->
<head>
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
	<title><?php echo TITLE; ?></title>
	<meta name="description" content="" />
	<meta name="viewport" content="width=550,user-scalable=no" />
	<meta name="apple-mobile-web-app-capable" content="yes" />
	<link href="css/bootstrap.css" rel="stylesheet" />
	<link href="css/bootstrap-responsive.css" rel="stylesheet" />
	<link rel="stylesheet" href="css/main.min.css" />
	<script src="js/vendor/modernizr-2.6.2-respond-1.1.0.min.js"></script>
	<!--[if lt IE 9]>
	<script src="js/vendor/html5shiv.js"></script>
	<![endif]-->
	<link rel="apple-touch-icon-precomposed" sizes="144x144" href="apple-touch-icon-144x144-precomposed.png" />
	<link rel="apple-touch-icon-precomposed" sizes="114x114" href="apple-touch-icon-114x114-precomposed.png" />
	<link rel="apple-touch-icon-precomposed" sizes="72x72" href="apple-touch-icon-72x72-precomposed.png" />
	<link rel="apple-touch-icon-precomposed" href="apple-touch-icon-57x57-precomposed.png" />
	<link rel="shortcut icon" href="favicon.ico" />
</head>
<body>

<!--[if lt IE 7]>
<p class="chromeframe">You are using an <strong>outdated</strong> browser. Please
	<a href="http://browsehappy.com/">upgrade your browser</a> or
	<a href="http://www.google.com/chromeframe/?redirect=true">activate Google Chrome Frame</a> to improve your experience.
</p>
<![endif]-->

<div class="container">

	<div class="navbar navbar-inverse navbar-fixed-top">
		<div class="navbar-inner">
			<div class="container-fluid">
				<button type="button" class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>
				<a class="brand" href="index.php"><img src="img/logo.png" /></a>

				<div class="nav-collapse collapse">
					<ul class="nav">
						<li><a href="index.php">Home</a></li>
						<li><a href="about.php">About</a></li>
						<li class="active"><a href="#">Contact</a></li>
					</ul>
				</div>
			</div>
		</div>
	</div>

	<div class="container-fluid">
		<div class="row-fluid">

			<div class="hero-unit">
				<h1>Scan <span class="big">A</span>s <span class="big">Y</span>ou <span class="big">T</span>ype</h1>
				<br /><br />

				<form class="form-horizontal" method="POST" id="contact">
					<?php echo $sent; ?>
					<div class="control-group">
						<label class="control-label" for="email">Your Email</label>

						<div class="controls">
							<input type="email" id="email" name="email" class="input-xxlarge" required="required" autocapitalize="off" autocorrect="off" />
						</div>
					</div>
					<div class="control-group">
						<label class="control-label" for="name">Your Name</label>

						<div class="controls">
							<input type="text" id="name" name="name" minlength="2" class="input-xxlarge" required="required" autocapitalize="off" autocorrect="off" />
						</div>
					</div>
					<div class="control-group">
						<label class="control-label" for="message">Your Message</label>

						<div class="controls">
							<textarea id="message" name="message" minlength="2" class="input-xxlarge" required="required"></textarea>
						</div>
					</div>

					<div class="control-group">
						<div class="controls">
							<button type="submit" class="btn btn-primary btn-large">Send</button>
						</div>
					</div>
				</form>
			</div>
		</div>

		<hr>

		<footer>
			<p><?php echo COPYRIGHT; ?></p>
		</footer>

	</div>

</div>

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script>window.jQuery || document.write( '<script src="js/vendor/jquery-1.9.1.min.js"><\/script>' )</script>
<script src="js/vendor/bootstrap.min.js"></script>
<script src="js/vendor/jquery.validate.min.js"></script>
<script src="js/contact.min.js"></script>
<script>
	window.addEventListener( "load" , function () {
		setTimeout( function () {
			window.scrollTo( 0 , 1 );
		} , 0 );
	} );
</script>
</body>
</html>
